members.dev
ApiPayments

Get Payment

Returns a Payment by ID

GET
/v1/payments/{payment_id}

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

payment_id*string

Header Parameters

Members-Context?|

Members organization id (org_…) when the client has multiple organizations.

Response Body

application/json

application/json

curl -X GET "https://api.members.dev/v1/payments/string"
{
  "id": "string",
  "tenant_id": "string",
  "organization_id": "string",
  "member_id": "string",
  "amount_allocated": 0,
  "currency": "str",
  "payment_method_id": "string",
  "status": "pending",
  "provider": "stripe",
  "provider_payment_intent_id": "string",
  "save_payment_method_requested": true,
  "failure_code": "string",
  "failure_message": "string",
  "notes": "string",
  "invoice_allocations": [
    {
      "invoice_id": "string",
      "amount": 0,
      "currency": "str"
    }
  ],
  "client_secret": "string",
  "created_at": null,
  "updated_at": null
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}